Fehler bei apt4suse

Dieses Thema im Forum "SuSE / OpenSuSE" wurde erstellt von Ticha, 29.11.2006.

  1. Ticha

    Ticha Linux Missionar

    Dabei seit:
    21.07.2006
    Beiträge:
    814
    Zustimmungen:
    0
    Seit neuestem bekomm ich diese Fehlermeldung wenn ich versuche apt-upgrade zu machen :-I
    (Suse 10.1)


    Code:
    After unpacking 86.1MB of additional disk space will be used.
    Do you want to continue? [Y/n] Y
    Checking GPG signatures...
    Unknown signature /var/cache/apt/archives/apt-libs_0.5.15lorg3.2-12.2_i586.rpm: sha1 md5 (GPG) NOT OK (MISSING KEYS: GPG#6b9d6523)
    Unknown signature /var/cache/apt/archives/apt_0.5.15lorg3.2-12.2_i586.rpm: sha1 md5 (GPG) NOT OK (MISSING KEYS: GPG#6b9d6523)
    E: Error(s) while checking package signatures:
    0 unsigned package(s)
    2 package(s) with unknown signatures
    0 package(s) with illegal/corrupted signatures
    E: Handler silently failed
    kann mir jdm helfen?
     
  2. Anzeige

    Schau dir mal diese Kategorie an. Dort findest du bestimmt etwas.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  3. devilz

    devilz Pro*phet
    Administrator

    Dabei seit:
    01.05.2002
    Beiträge:
    12.244
    Zustimmungen:
    0
    Ort:
    Hessen
    Du kannst mit der option "--no-checksig" die Prüfung der Signatur übergehen.

    Oder die Key importieren (sofern vorhanden!) ....

    (oder mal ein apt install --no-checksig rpmkey-* machen ...)
     
  4. Ticha

    Ticha Linux Missionar

    Dabei seit:
    21.07.2006
    Beiträge:
    814
    Zustimmungen:
    0
    ersteres funktioniert gar nicht und bei 2. bekomme ich den Fehler :

    Code:
    error: cannot get exclusive lock on /var/lib/rpm/Packages
    error: cannot open Packages index using db3 - Die Operation ist nicht erlaubt (1)
    error: cannot open Packages database in /var/lib/rpm
    E: könnte RPM-Datenbank nicht öffnen
    
     
  5. devilz

    devilz Pro*phet
    Administrator

    Dabei seit:
    01.05.2002
    Beiträge:
    12.244
    Zustimmungen:
    0
    Ort:
    Hessen
    Da is irgendwo noch ein Zugriff auf die RPM Datenbank ... schau mal ob du es noch woanders Yast/apt offen hast ....
     
  6. Ticha

    Ticha Linux Missionar

    Dabei seit:
    21.07.2006
    Beiträge:
    814
    Zustimmungen:
    0
    2. funktioniert doch hatte nu sudo vergessen.

    allerdings gibt er mit bei apt-get upgrade immer noch den selben fehler aus

    Yast und so is aus
     
  7. Anzeige

    Vielleicht findest du HIER Antworten.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  8. devilz

    devilz Pro*phet
    Administrator

    Dabei seit:
    01.05.2002
    Beiträge:
    12.244
    Zustimmungen:
    0
    Ort:
    Hessen

    Welchen Fehler? "könnte RPM-Datenbank nicht öffnen" <- den da?

    Bist du denn auch root?
     
  9. Ticha

    Ticha Linux Missionar

    Dabei seit:
    21.07.2006
    Beiträge:
    814
    Zustimmungen:
    0
    Code:
    ticha@TichaLinux:~> sudo apt-get upgrade
    Reading Package Lists... Done
    Building Dependency Tree... Done
    The following packages will be upgraded
      3ddiag ImageMagick Mesa Mesa-devel MozillaFirefox
      MozillaFirefox-translations NetworkManager NetworkManager-kde OpenOffice_org
      OpenOffice_org-de OpenOffice_org-kde RealPlayer SDL aaa_skel acroread alsa
      alsa-firmware alsa-tools apparmor-docs apparmor-parser apparmor-profiles
      apparmor-utils apt apt-libs arts atk atk-devel audit audit-libs autoyast2
      autoyast2-installation bash beagle beagle-firefox beagle-index bind-libs
      bind-utils binutils bluez-utils boost cairo cairo-devel cdparanoia
      compat-openssl097g cron curl cyrus-sasl-saslauthd desktop-translations
      dhcdbd dhcp dhcp-client diffutils digikam digikamimageplugins dvd+rw-tools
      e2fsprogs esound file flash-player fontconfig foomatic-filters freetype2
      freetype2-devel gconf2 ghostscript-library gimp gimp-cmyk gkrellm glib
      glib-sharp2 glib2 glib2-devel glibc glibc-devel gnome-desktop
      gnome-filesystem gnome-icon-theme gnome-keyring gnome-mime-data gnome-vfs2
      gnutls goom2k4 gpg gpg2 gtk gtk-qt-engine gtk-sharp2 gtk2 gtk2-devel
      gtksourceview gzip hal hplip hplip-hpijs imlib imlib2 imlib2-loaders
      java-1_5_0-sun java-1_5_0-sun-jdbc k3b kdebase3 kdebase3-SuSE kdebase3-kdm
      kdebase3-ksysguardd kdebluetooth kdelibs3 kdemultimedia3-CD kdenetwork3
      kdenetwork3-InstantMessenger kdepim3 kernel-source kpowersave ktorrent lftp
      libakode libart_lgpl libbeagle libbonobo libcddb libcroco libdv libdvdread
      libgnome libgnomecups libgnomeprint libgnomeprintui libgnomesu libgnomeui
      libgphoto2 libgsf libgsf-gnome libgtkhtml libidl libkexif libkipi libksba
      libmusicbrainz libnl libsndfile libsvg libsvg-cairo libtheora libtiff
      libtunepimp libwmf libxml2 libzypp libzypp-zmd-backend log4net mc mkinitrd
      module-init-tools mono-core mono-data mono-data-sqlite mono-web mozilla-nspr
      mozilla-nss mozilla-xulrunner net-snmp openldap2-client openssh
      openssh-askpass openssl orbit2 pam pango pango-devel perl-Bootloader
      pkgconfig poppler poppler-qt powersave powersave-libs python qt3
      release-notes rpm rug samba samba-client sane sax2 sax2-gui sax2-ident
      sax2-libsax sax2-libsax-perl sax2-tools screen speex startup-notification
      suseRegister susehelp sysconfig syslog-ng tcsh tiff udev wget wine xine-lib
      xkeyboard-config xmms xmms-lib xntp xorg-x11 xorg-x11-driver-video
      xorg-x11-driver-video-nvidia xorg-x11-libs xorg-x11-server
      xorg-x11-server-glx yast2 yast2-apparmor yast2-backup yast2-installation
      yast2-ncurses yast2-online-update yast2-online-update-frontend
      yast2-packager yast2-perl-bindings yast2-pkg-bindings yast2-printer yast2-qt
      yast2-repair yast2-security yast2-sound yast2-storage yast2-trans-de
      yast2-vm zen-updater zmd
    The following packages have been kept back
      amarok amarok-helix amarok-libvisual amarok-xine jack kaffeine
      kernel-default kipi-plugins novfs-kmp-default xine-ui xmoto
    231 upgraded, 0 newly installed, 0 removed and 11 not upgraded.
    Need to get 0B/578MB of archives.
    After unpacking 86.1MB of additional disk space will be used.
    Do you want to continue? [Y/n] y
    Checking GPG signatures...
    Unknown signature /var/cache/apt/archives/apt-libs_0.5.15lorg3.2-12.2_i586.rpm: sha1 md5 (GPG) NOT OK (MISSING KEYS: GPG#6b9d6523)
    Unknown signature /var/cache/apt/archives/apt_0.5.15lorg3.2-12.2_i586.rpm: sha1 md5 (GPG) NOT OK (MISSING KEYS: GPG#6b9d6523)
    
    und was mich verwundert, wenn ich

    apt-get --no-checksig upgrade

    eingebe, sagt er mir, dass er --no-checksig nicht kennt ?( obwohl es ja in der man din steht
     
Thema:

Fehler bei apt4suse

Die Seite wird geladen...

Fehler bei apt4suse - Ähnliche Themen

  1. Terminal Fehlermeldung

    Terminal Fehlermeldung: Hola, mir ist aufgefallen das ständig ein Fehler erscheint sobald ich einen Terminal öffne. Hat zwar keine Auswirkung auf die Arbeit damit sieht...
  2. LibreOffice 5.1.1 korrigiert Fehler

    LibreOffice 5.1.1 korrigiert Fehler: Das LibreOffice-Projekt hat die Verfügbarkeit der Version 5.1.1 der freien Office-Suite bekannt gegeben. In diesem planmäßigen Update werden...
  3. Fehler in glibc gefährdet zahlreiche Systeme

    Fehler in glibc gefährdet zahlreiche Systeme: Sicherheitsforscher haben eine Sicherheitslücke in der glibc-Bibliothek entdeckt, die sich von externen Angreifern über das Netzwerk ausnutzen...
  4. LibreOffice veranstaltet Fehlerjagd

    LibreOffice veranstaltet Fehlerjagd: Das LibreOffice-Projekt hat angekündigt, vom 15. bis 17. Januar die mittlerweile dritte öffentliche »Bug Hunting Session« für Version 5.1 der...
  5. Linux.Encoder: Das Laster der fehlerhaften Kryptografie

    Linux.Encoder: Das Laster der fehlerhaften Kryptografie: Der mittlerweile in der dritten Generation nun vorliegende Ransomware »Linux.Encoder« kann immer noch kaum Schrecken unter Linux verbreiten -...